Bug 14351 - mouse_autosetup add virtual devices to xorg.conf.auto
: mouse_autosetup add virtual devices to xorg.conf.auto
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-backend-x11)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 14374
  Show dependency tree
 
Reported: 2008-02-06 20:02 by
Modified: 2008-02-22 19:07 (History)


Attachments
alterator-x11-0.13.1-mouse.patch (594 bytes, patch)
2008-02-06 20:03, led@altlinux.org
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-02-06 20:02:24
mouse_autosetup добавляет виртуальные устройства в xorg.conf.auto, что ИМХО 
есть неправильно. Думаю такие устройства следует отсекать по пустому значению 
Phys в /proc/bus/input/devices.
------- Comment #1 From 2008-02-06 20:03:57 -------
Created an attachment (id=2424) [details]
alterator-x11-0.13.1-mouse.patch
------- Comment #2 From 2008-02-06 20:05:18 -------
*** Bug 14348 has been marked as a duplicate of this bug. ***
------- Comment #3 From 2008-02-06 20:07:02 -------
По моему пакет уже давно мантейнит Стас.
------- Comment #4 From 2008-02-06 20:27:29 -------
Ну да, а баги всё на тебе виснут...

Исправлено у меня в git и проверено на железе (только бранч другой забыл завести):
http://git.altlinux.org/people/mike/packages/?p=alterator-x11.git;a=commitdiff;h=05fd33ecadb9a3bdedfe8d9d77b40504e9c39772

PS: а из led-tc просьба эту маковую диверсию выкинуть всё-таки ;)
------- Comment #5 From 2008-02-09 15:05:19 -------
fixed in 0.13.2-alt1
------- Comment #6 From 2008-02-22 16:07:10 -------
(In reply to comment #4)
> Ну да, а баги всё на тебе виснут...
> 
> Исправлено у меня в git и проверено на железе (только бранч другой забыл завести):
>
http://git.altlinux.org/people/mike/packages/?p=alterator-x11.git;a=commitdiff;h=05fd33ecadb9a3bdedfe8d9d77b40504e9c39772
> 
> PS: а из led-tc просьба эту маковую диверсию выкинуть всё-таки ;)

К тому же, led-tc ядро у меня так и не заработало нормально. Так что, я не
против того что из led-tc будут выкинуты mactel патчи.
------- Comment #7 From 2008-02-22 19:07:31 -------
А оно и не предназначено для того, чтобы нормально работать на макбуках.  Оно
для thin clients сделано.  См. %description.  М-да.